Subject: bug#46827: Broken initial size of GTK3 frame

From: martin rudalics <[email-masked]>
Date: Mon, 1 Mar 2021 13:38:58 +0100

> Iʼll just say I donʼt see this with Gnome on Debian testing, with
 > either emacs-27 or master, so once again itʼs window manager
 > dependent.

What does (frame-height) give for your frame?

 > Iʼm surprised that querying another font backend when we've already
 > found a font causes frame sizing issues like this. Do we understand
 > the cause here?

No.  All I can say is that it is tool bar related.

 > We can revert the bug#43177 fix of course, but perhaps we should make
 > it conditional on !GTK3 || PGTK or something?

First I'd like to fix the behavior for Emacs 27, conceptually at least.
Then we can discuss Bug#43177.

martin